image: python:3.9-buster

before_script:
  - pip install -r requirements.txt

test:
  stage: test
  script:
    - mkdocs build --verbose
  artifacts:
    paths:
      - site

pages:
  only:
    - main
  stage: deploy
  script:
    - mv site public
  artifacts:
    paths:
      - public
